Skip to main content
System Management/User Configuration
PUTUser ConfigurationSince 0.6SynchronousAuth Required

Update Account

Update Account

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID, uniquely identifying this resource

Body Fields

  • updateaccountObjectRequired

    updateaccount request body object.

    • passwordString

      Password

    • nameString

      Account name

    • descriptionString

      Detailed description of the resource

    • oldPasswordString

      旧密码。

    • stateString

      Account state

  • systemTagsList

    System tags

  • userTagsList

    User tags

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. This field is null when the operation succeeds. For details, see error

    • codeStringRequired

      The error code number, a globally unique identifier for the error, e.g., SYS.1000, HOST.1001

    • descriptionStringRequired

      A brief description of the error

    • detailsStringRequired

      The detailed error information

    • elaborationStringRequired

      Reserved field. Defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field. Defaults to null

    • causeErrorCodeRequired

      The root error, the cause of the current error. This field is null if there is no root error

  • inventoryAccountInventoryRequired

    For details, see inventory

    • uuidStringRequired

      The account UUID, uniquely identifying this resource

    • nameStringRequired

      Account name

    • descriptionStringRequired

      Detailed description of the account

    • typestateRequired

      Account type

    • statestateRequired

      Account state

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

Endpoint

PUT/zstack/v1/accounts/{uuid}

/zstack/v1/accounts/{uuid}

Operation ID

UpdateAccount

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/accounts/{uuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateaccount":{"password":"<password>","name":"<name>","description":"<description>","oldPassword":"<oldPassword>","state":"<state>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "ffbf2fac53b83b838d4551edcaff1d39", "name": "test", "type": "Normal" } }

Change History

This API has no change history records yet.

View all change history